Bug Hunting Session
Bug 95169 - Win32: intermittent CLR compile failure ...
Summary: Win32: intermittent CLR compile failure ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-19 08:08 UTC by Michael Meeks
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-10-19 08:08:54 UTC
The build fails at random around locking SNK files:

build BIN] wizards
C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/workdir/UnpackedTarball/rasqal/srcrasqal.h(1813) : warning C4115: 'timeval' : named type definition in parentheses
C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/workdir/UnpackedTarball/rasqal/srcrasqal.h(1813) : warning C4115: 'timeval' : named type definition in parentheses
C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/workdir/UnpackedTarball/rasqal/srcrasqal.h(1813) : warning C4115: 'timeval' : named type definition in parentheses
[build CXX] i18nlangtag/source/isolang/insys.cxx
[build CXX] i18nlangtag/source/isolang/isolang.cxx
[build CXX] i18nlangtag/source/isolang/mslangid.cxx
[build CXX] i18nlangtag/source/languagetag/languagetag.cxx
[build CXX] i18nlangtag/source/languagetag/languagetagicu.cxx
[build EPK] liblangtag_data
[build CLI] cli_oootypes
[build CLM] CustomTarget/testtools/bridgetest_climaker/cli_types_bridgetest.dll
[build CSC] cli_ure
[build DEP] LNK:Library/librdf.dll
[build LNK] Library/librdf.dll

> error: .NET exception occurred: System.IO.IOException: The process cannot access the file 'C:cygwinhometdflodejenkinsworkspacelo_gerrit_masterGerritGerritPlatformWindowscli_uresourcecliuno.snk' because it is being used by another process.

at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)

at System.IO.FileStream.Init(String path, FileMode mode, FileAccess access, Int32 rights, Boolean useRights, FileShare share, Int32 bufferSize, FileOptions options, SECURITY_ATTRIBUTES secAttrs, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)

at System.IO.FileStream..ctor(String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, FileOptions options, String msgPath, Boolean bFromProxy)

at System.IO.FileStream..ctor(String path, FileMode mode)

at ?A0x37eae1d2.sal_main()
> dying abnormally...C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/unoil/CliUnoApi_oootypes.mk:13: recipe for target 'C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/instdir/program/cli_oootypes.dll' failed
make[2]: *** [C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/instdir/program/cli_oootypes.dll] Error 1
make[2]: *** Waiting for unfinished jobs....
Creating library C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/workdir/LinkTarget/Library/librdf.lib and object C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows/workdir/LinkTarget/Library/librdf.exp
make[2]: Leaving directory 'C:/cygwin/home/tdf/lode/jenkins/workspace/lo_gerrit_master/Gerrit/Gerrit/Platform/Windows'
Makefile:250: recipe for target 'build' failed
make[1]: *** [build] Error 2

I have a patch to copy the SNK key before using it which may help.
Comment 1 Michael Meeks 2015-10-19 08:10:45 UTC
Grisly hack seeks review and test building here: https://gerrit.libreoffice.org/19442
Comment 2 Commit Notification 2015-10-20 07:52:37 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c66610b96398f705090aa7d50b3b7c5b9747b2c

tdf#95169 - copy snk files before using them to link.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2015-10-20 07:56:54 UTC
Lets see if this closes it for now =) but perhaps there are other files we need to do the same with ...